# Uses of Interface
org.eclipse.emf.cdo.common.revision.CDOIDAndBranch

Packages that use CDOIDAndBranch
Package
Description
org.eclipse.emf.cdo.common.id
Common concepts for dealing with object and revision IDs.
org.eclipse.emf.cdo.common.lock
Common concepts for dealing with durable locks and views.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.spi.common.lock
Common service provider interfaces and useful base implementations for dealing with object locks.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.

## Uses of CDOIDAndBranch in org.eclipse.emf.cdo.common.id

Methods in org.eclipse.emf.cdo.common.id that return CDOIDAndBranch
Modifier and Type
Method
Description
`static CDOIDAndBranch`
CDOIDUtil.`createIDAndBranch(CDOID id, CDOBranch branch)`

## Uses of CDOIDAndBranch in org.eclipse.emf.cdo.common.lock

Subinterfaces of CDOIDAndBranch in org.eclipse.emf.cdo.common.lock
Modifier and Type
Interface
Description
`interface`
`CDOLockDelta`
`interface`
`CDOLockState`
A client-side representation of all the locks on a single CDOObject.

## Uses of CDOIDAndBranch in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOIDAndBranch
Modifier and Type
Method
Description
`CDOIDAndBranch`
CDODataInput.`readCDOIDAndBranch()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOIDAndBranch
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDOIDAndBranch(CDOIDAndBranch idAndBranch)`

## Uses of CDOIDAndBranch in org.eclipse.emf.cdo.spi.common.lock

Subinterfaces of CDOIDAndBranch in org.eclipse.emf.cdo.spi.common.lock
Modifier and Type
Interface
Description
`interface`
`InternalCDOLockState`
If the meaning of this type isn't clear, there really should be more of a description here...
Classes in org.eclipse.emf.cdo.spi.common.lock that implement CDOIDAndBranch
Modifier and Type
Class
Description
`class`
`AbstractCDOLockState`

## Uses of CDOIDAndBranch in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOIDAndBranch
Modifier and Type
Method
Description
`CDOIDAndBranch`
CDODataInputImpl.`readCDOIDAndBranch()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOIDAndBranch
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOIDAndBranch(CDOIDAndBranch idAndBranch)`